#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <locale.h>

int main(int argc, char* argv[])
{
	HANDLE findHandle;
	WIN32_FIND_DATA findData;
	int delay = 5*60*1000;

	char** phrases = NULL;
	int i = 0;

	setlocale( 0, "" );

	if (argc == 2)
	{
		delay = atoi(argv[1]) * 1000;
	}

	findHandle = FindFirstFile("*.wav", &findData); //   
	do
	{
		if (!(findData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)) //  , 
		{
			phrases = (char**)realloc(phrases, sizeof(char*)*(i+1));
			phrases[i] = (char*)calloc(strlen(findData.cFileName), sizeof(char));

			strcpy(phrases[i], findData.cFileName);

			i++;
		}
	}
	while (FindNextFile(findHandle, &findData) != 0);

	PlaySound((LPCTSTR)SND_ALIAS_SYSTEMDEFAULT, NULL, SND_ALIAS_ID | SND_ASYNC); //  

	printf("\n      ,   .");
	printf("\n    %d .", delay/1000); if (argc < 2) printf("   ( )    .");
	printf("\n  %d.", i);
	printf("\n     \" \" (  ).");
	printf("\n  -  Ctrl+C.");
	printf("\n\nHave a nice dream!");

	srand(42);

	while (1)
	{
		int num = rand() % (i-1);

		Sleep(delay);

		PlaySound(phrases[num], NULL, SND_FILENAME);
	}

	return 0;
}

